org.apache.ignite.internal.processors.platform.memory

## Class PlatformMemoryPool

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.memory.PlatformMemoryPool

    public class PlatformMemoryPool
    extends Object

Memory pool associated with a thread.

### Constructor Summary

Constructors
Constructor and Description
`PlatformMemoryPool()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`PlatformMemory` `allocate(int cap)` Allocate memory chunk, optionally pooling it.
`PlatformMemory` `get(long memPtr)` Get pooled memory chunk.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformMemoryPool

    public PlatformMemoryPool()

Constructor.

### Method Detail

#### allocate

    public PlatformMemory allocate(int cap)

Allocate memory chunk, optionally pooling it.

Parameters:
  `cap` - Minimum capacity.
Returns:
  Memory chunk.

#### get

    public PlatformMemory get(long memPtr)

Get pooled memory chunk.

Parameters:
  `memPtr` - Memory pointer.
Returns:
  Memory chunk.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020